curl -X DELETE "https://api.foxreach.io/api/v1/webhooks/cwh_abc123" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/webhooks/cwh_abc123",
headers={"X-API-Key": "otr_your_key"}
)
data = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/webhooks/cwh_abc123",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" }
}
);
const data = await response.json();
{
"data": {
"id": "cwh_abc123",
"deleted": true
}
}
Webhooks API
Delete Webhook
Delete a webhook. It will stop receiving events immediately.
DELETE
/
api
/
v1
/
webhooks
/
{webhook_id}
curl -X DELETE "https://api.foxreach.io/api/v1/webhooks/cwh_abc123" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/webhooks/cwh_abc123",
headers={"X-API-Key": "otr_your_key"}
)
data = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/webhooks/cwh_abc123",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" }
}
);
const data = await response.json();
{
"data": {
"id": "cwh_abc123",
"deleted": true
}
}
Path Parameters
string
required
The unique identifier of the webhook to delete.
curl -X DELETE "https://api.foxreach.io/api/v1/webhooks/cwh_abc123" \
-H "X-API-Key: otr_your_key"
import requests
response = requests.delete(
"https://api.foxreach.io/api/v1/webhooks/cwh_abc123",
headers={"X-API-Key": "otr_your_key"}
)
data = response.json()
const response = await fetch(
"https://api.foxreach.io/api/v1/webhooks/cwh_abc123",
{
method: "DELETE",
headers: { "X-API-Key": "otr_your_key" }
}
);
const data = await response.json();
{
"data": {
"id": "cwh_abc123",
"deleted": true
}
}
Errors
| Status | Description |
|---|---|
404 | Webhook not found |
Rate Limit
- 100 requests per minute, per API key. Fixed 60-second window.
- Every response includes
X-RateLimit-Limit,X-RateLimit-Remaining, andX-RateLimit-Reset(unix epoch seconds). - A
429response includes aRetry-Afterheader (seconds until the bucket resets).
Retry-After, exponential backoff, monitoring X-RateLimit-Remaining), see Rate Limiting.